Subject: bug#19178: 11.88; 11.88 Xemacs 11.88 problem with env and labels

From: Uwe Brauer <[email-masked]>
Date: Tue, 25 Nov 2014 15:11:42 +0100

Hello

I used for years the following function 

(defun LaTeX-rem-insert (environment)	;Version:1.20
  (if (y-or-n-p
	   (format "Do you want a title "))
	  (let ((title (read-input " Title: ")))
		(LaTeX-insert-environment "rem" (concat "[" title "]"))
		(and (LaTeX-label environment)
			 (newline-and-indent)))
    (LaTeX-insert-environment "rem")
    (and (LaTeX-label environment)
       (newline-and-indent))))

Which worked till version 11.87, however in 11.88 an error is triggered
which I attach below.

BTW I promised to sync 11.88 with the official xemacs pkg, but I was a bit
busy these days. Now that the bug appeared I have an excuse....

Uwe Brauer 

Emacs  : XEmacs 21.5  (beta33) "horseradish" [Lucid] (i686-pc-linux, Mule) of Fri Oct 17 2014 on Burrurr
Package: 11.88

current state:
==============
(setq
 AUCTeX-date "2014-10-29"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("/home/oub/.xemacs/xemacs-packages/etc/auctex/auto/"
				  "/home/oub/.xemacs/xemacs-packages/etc/auctex/style" "/home/oub/.emacs.d/auctex/auto"
				  "/home/oub/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil
					 (plain-tex-mode texinfo-mode ams-tex-mode) :help "Run plain TeX")
					("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
					("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help
					 "Run Makeinfo with Info output")
					("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode) :help
					 "Run Makeinfo with HTML output")
					("AmSTeX" "%(PDF)amstex %(extraopts) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil
					 (ams-tex-mode) :help "Run AMSTeX")
					("ConTeXt" "texexec --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil
					 (context-mode) :help "Run ConTeXt once")
					("ConTeXt Full" "texexec %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode) :help
					 "Run ConTeXt until completion")
					("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
					("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
					("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
					("evince" "/usr/bin/evince %G" TeX-run-command t t)
					("xpdf" "/usr/bin/xpdf %G" TeX-run-command t t)
					("fullxpdf" "/usr/bin/xpdf -fullscreen %G" TeX-run-command t t)
					("oolatex" "/usr/share/tex4ht/oolatex %t" TeX-run-command t t)
					("panlatex2odt" "pandoc -s -R -f latex --toc %t -t odt -o %O" TeX-run-command t t)
					("panlatex2rtf" "pandoc -s -R -f latex --toc %t -t rtf -o %R" TeX-run-command t t)
					("latex2rtf" "latex2rtf -f0 %t" TeX-run-command nil t)
					("oabiword" "abiword %O" TeX-run-command nil t)
					("rabiword" "abiword %R" TeX-run-command t t)
					("Print" "%p" TeX-run-command t t :help "Print the file")
					("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible
					 TeX-queue-command)
					("File" "%(o?)dvips %d -o %f | ps2pdf %f" TeX-run-command t t :help
					 "Generate PostScript file")
					("Index" "makeindex %s" TeX-run-command nil t :help "Create index file")
					("makenomen" "makeindex %s.nlo -s nomencl.ist -o %s.nls" TeX-run-command t t)
					("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create index file")
					("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
					 "Check LaTeX file for correctness")
					("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
					 "Check LaTeX file for common mistakes")
					("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
					 "Spell-check the document")
					("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
					("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
					 "Delete generated intermediate and output files")
					("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )

Debugger entered--Lisp error: (wrong-number-of-arguments LaTeX-label 1)
  LaTeX-label("rem")
  (and (LaTeX-label environment) (newline-and-indent))
  (if (y-or-n-p (format "Do you want a title ")) (let (...) (LaTeX-insert-environment "rem" ...) (and ... ...)) (LaTeX-insert-environment "rem") (and (LaTeX-label environment) (newline-and-indent)))
  LaTeX-rem-insert("rem")
  apply(LaTeX-rem-insert "rem" nil)
  LaTeX-environment-menu("rem")
  LaTeX-environment(nil)
  call-interactively(LaTeX-environment)